import { RuntimeOptions } from '../types/option';
/**
 * Process URL content.
 * 处理URL内容。
 * URL 콘텐츠를 처리합니다.
 */
export declare function processUrlContent(options: RuntimeOptions): Promise<void>;
/**
 * Process input file or directory.
 * 处理输入文件或目录。
 * 입력 파일 또는 디렉토리를 처리합니다.
 */
export declare function processInputPath(options: RuntimeOptions): Promise<void>;
/**
 * Process markdown content.
 * 处理Markdown内容。
 * 마크다운 콘텐츠를 처리합니다.
 */
export declare function processContent(markdownContent: string, options: RuntimeOptions): Promise<void>;
