import { SupportedLocale } from '../config/i18n';
/**
 * Set current locale / 设置当前语言环境 / 현재 로케일 설정
 * @param locale New locale/ 新的语言环境 / 새 로케일
 */
export declare function setLocale(locale: SupportedLocale): void;
/**
 * @returns Current locale / 当前语言环境 / 현재 로케일
 */
export declare function getLocale(): SupportedLocale;
/**
 * Return message for the current locale by key
 *
 * 返回当前语言环境的消息通过键
 *
 * 메시지 키에 해당하는 현재 로케일의 메시지 반환
 */
export declare function t(key: string, ...args: unknown[]): string;
